PGPAINLESS-CLI-ENCRYPT(1)

NAME
pgpainless-cli-encrypt - Encrypt a message from standard input

SYNOPSIS

pgpainless-cli encrypt [--[no-]armor] [--as={binary|text}] [--sign-with=KEY]... [--with-key-password=PASSWORD]... [--with-password=PASSWORD]... [CERTS...]

DESCRIPTION

OPTIONS

--as={binary|text}
    Type of the input data. Defaults to 'binary'

--[no-]armor
    ASCII armor the output

--sign-with=KEY
    Sign the output with a private key

--with-key-password=PASSWORD
    Passphrase to unlock the secret key(s).

    Is an INDIRECT data type (e.g. file, environment variable, file descriptor...).

--with-password=PASSWORD
    Encrypt the message with a password.

    Is an INDIRECT data type (e.g. file, environment variable, file descriptor...)

ARGUMENTS

[CERTS...]
    Certificates the message gets encrypted to

EXIT CODES:

0
    Successful program execution

1
    Generic program error

3
    Verification requested but no verifiable signature found

13
    Unsupported asymmetric algorithm

17
    Certificate is not encryption capable

19
    Usage error: Missing argument

23
    Incomplete verification instructions

29
    Unable to decrypt

31
    Password is not human-readable

37
    Unsupported Option

41
    Invalid data or data of wrong type encountered

53
    Non-text input received where text was expected

59
    Output file already exists

61
    Input file does not exist

67
    Cannot unlock password protected secret key

69
    Unsupported subcommand

71
    Unsupported special prefix (e.g. "@env/@fd") of indirect parameter

73
    Ambiguous input (a filename matching the designator already exists)

79
    Key is not signing capable